Автор Тема: Проблемы с драйвером amdgpu  (Прочитано 4255 раз)

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Проблемы с драйвером amdgpu
« : 28.04.2021 15:48:51 »
При запуске игр из Steam  и некоторых flatpak  приложений, при использовании драйвера amdgpu  возникает следующая ошибка:
libGL error: MESA-LOADER: failed to open radeonsi: /overrides/lib/i386-linux-gnu/dri/radeonsi_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open radeonsi: /overrides/lib/i386-linux-gnu/dri/radeonsi_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open swrast: /overrides/lib/i386-linux-gnu/dri/swrast_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: swrast

Практически то же самое при запуске некоторых flatpak, например:
$ flatpak run com.bitwarden.desktop
[3 zypak-helper] Portal v4 is not available
A JavaScript error occurred in the main process
Uncaught Exception:
Error: /run/user/500/app/com.bitwarden.desktop/.org.chromium.Chromium.dtaEFs: Ñбой оÑобÑÐ°Ð¶ÐµÐ½Ð¸Ñ ÑегменÑа из ÑазделÑемого обÑекÑа
    at process.func [as dlopen] (electron/js2c/asar_bundle.js:5:1812)
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:1203:18)
    at Object.func [as .node] (electron/js2c/asar_bundle.js:5:2039)
    at Module.load (internal/modules/cjs/loader.js:992:32)
    at Module._load (internal/modules/cjs/loader.js:885:14)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12738)
    at Module.require (internal/modules/cjs/loader.js:1032:19)
    at require (internal/modules/cjs/helpers.js:72:18)
    at Object.<anonymous> (/app/Bitwarden/resources/app.asar/node_modules/keytar/lib/keytar.js:1:14)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)
libGL error: MESA-LOADER: failed to retrieve device information
libGL error: MESA-LOADER: failed to open amdgpu: /usr/lib/x86_64-linux-gnu/GL/default/lib/dri/amdgpu_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /usr/lib/x86_64-linux-gnu/GL/default/lib/dri)
libGL error: failed to load driver: amdgpu
libGL error: failed to open /dev/dri/card1: Нет такого файла или каталога
libGL error: failed to load driver: radeonsi
Может я что-то недоустановил?
На данном форуме нашел тему четырехлетней давности с похожей проблемой, но там помогло удаление несовместимых библиотек, мне же данный способ не помогает.

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 062
  • antohami@
Re: Проблемы с драйвером amdgpu
« Ответ #1 : 28.04.2021 16:22:39 »
Нужно установить 32-битный i586-xorg-dri-radeon.

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #2 : 28.04.2021 17:40:55 »
Нужно установить 32-битный i586-xorg-dri-radeon.
Таки стоит вроде:
[root@admin-book ~]# apt-get install i586-xorg-dri-radeon
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано i586-xorg-dri-radeon.32bit для 'i586-xorg-dri-radeon'
Последняя версия i586-xorg-dri-radeon.32bit уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет обновлено.

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 062
  • antohami@
Re: Проблемы с драйвером amdgpu
« Ответ #3 : 28.04.2021 18:09:46 »
xorg-drv-amdgpu и i586-xorg-drv-amdgpu

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #4 : 28.04.2021 19:39:35 »
xorg-drv-amdgpu и i586-xorg-drv-amdgpu
Эти точно стоят - почему-то по умолчанию в Simply  отсутствовали. Так что ручками ставил - точно помню.
# apt-get install xorg-drv-amdgpu  i586-xorg-drv-amdgpu
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия xorg-drv-amdgpu уже установлена.
Выбрано i586-xorg-drv-amdgpu.32bit для 'i586-xorg-drv-amdgpu'
Последняя версия i586-xorg-drv-amdgpu.32bit уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет обновлено.

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 889
  • валар дохаэрис
    • Канал на youtube
Re: Проблемы с драйвером amdgpu
« Ответ #5 : 28.04.2021 21:51:32 »
В боксе отсутствуют нужные модули для работы.
И еще:
    at process.func [as dlopen] (electron/js2c/asar_bundle.js:5:1812)
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:1203:18)
    at Object.func [as .node] (electron/js2c/asar_bundle.js:5:2039)
    at Module.load (internal/modules/cjs/loader.js:992:32)
    at Module._load (internal/modules/cjs/loader.js:885:14)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12738)
    at Module.require (internal/modules/cjs/loader.js:1032:19)
    at require (internal/modules/cjs/helpers.js:72:18)
    at Object.<anonymous> (/app/Bitwarden/resources/app.asar/node_modules/keytar/lib/keytar.js:1:14)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)
Явно кривая сборка

Поставьте с официального сайта
https://bitwarden.com/download/
Там есть AppImage и rpm.
« Последнее редактирование: 28.04.2021 21:54:38 от Koi »

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #6 : 28.04.2021 23:19:37 »
В боксе отсутствуют нужные модули для работы.
И еще:
    at process.func [as dlopen] (electron/js2c/asar_bundle.js:5:1812)
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:1203:18)
    at Object.func [as .node] (electron/js2c/asar_bundle.js:5:2039)
    at Module.load (internal/modules/cjs/loader.js:992:32)
    at Module._load (internal/modules/cjs/loader.js:885:14)
    at Function.f._load (electron/js2c/asar_bundle.js:5:12738)
    at Module.require (internal/modules/cjs/loader.js:1032:19)
    at require (internal/modules/cjs/helpers.js:72:18)
    at Object.<anonymous> (/app/Bitwarden/resources/app.asar/node_modules/keytar/lib/keytar.js:1:14)
    at Module._compile (internal/modules/cjs/loader.js:1152:30)
Явно кривая сборка

Поставьте с официального сайта
https://bitwarden.com/download/
Там есть AppImage и rpm.
Таки в боксе или в системе? Потому что я не только в флетпаках получаю эту ошибку. И меня больше беспокоит не кривизна модулей приложения, а то, что фатальная ошибка не в них, а в ругани на нехватку модулей, относящихся к amdgpu:
libGL error: MESA-LOADER: failed to retrieve device information
libGL error: MESA-LOADER: failed to open amdgpu: /usr/lib/x86_64-linux-gnu/GL/default/lib/dri/amdgpu_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /usr/lib/x86_64-linux-gnu/GL/default/lib/dri)
libGL error: failed to load driver: amdgpu
libGL error: failed to open /dev/dri/card1: Нет такого файла или каталога
libGL error: failed to load driver: radeonsi
« Последнее редактирование: 29.04.2021 00:50:37 от Labaman »

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 062
  • antohami@
Re: Проблемы с драйвером amdgpu
« Ответ #7 : 29.04.2021 05:10:26 »
Установите inxi и glxinfo, после чего покажите вывод команды:
inxi -G

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #8 : 29.04.2021 08:31:46 »
Установите inxi и glxinfo, после чего покажите вывод команды:
inxi -G
Вот:
# inxi -G
Graphics:
  Device-1: AMD Baffin [Radeon RX 460/560D / Pro
  450/455/460/555/555X/560/560X]
  driver: amdgpu v: kernel
  Device-2: AMD Picasso driver: amdgpu v: kernel
  Device-3: IMC Networks USB2.0 HD UVC WebCam type: USB driver: uvcvideo
  Display: server: X.Org 1.20.8 driver: amdgpu resolution: 1: 1920x1080~60Hz
  2: 1920x1080~60Hz
  OpenGL: renderer: AMD Radeon Vega 8 Graphics (RAVEN DRM 3.40.0
  5.10.32-un-def-alt1 LLVM 11.0.0)
  v: 4.6 Mesa 21.0.2

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 889
  • валар дохаэрис
    • Канал на youtube
Re: Проблемы с драйвером amdgpu
« Ответ #9 : 29.04.2021 11:04:06 »
Таки в боксе или в системе?
В боксе конечно.

Выполните:
# flatpak override --device=dri com.bitwarden.desktopПроблема должна исправиться. Хотя я не уверен насчет amdgpu потому что не вижу расширений flatpak для работы с ним, но может это и не надо, для нв, радеон это работает.
« Последнее редактирование: 29.04.2021 11:12:22 от Koi »

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #10 : 29.04.2021 13:47:55 »
Таки в боксе или в системе?
В боксе конечно.

Выполните:
# flatpak override --device=dri com.bitwarden.desktopПроблема должна исправиться. Хотя я не уверен насчет amdgpu потому что не вижу расширений flatpak для работы с ним, но может это и не надо, для нв, радеон это работает.
Ну на отсутствие библиотек ругаться перестал (правда, все равно не запускается, так что да, сборка действительно кривая). Но а как быть с wine  и proton?

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 889
  • валар дохаэрис
    • Канал на youtube
Re: Проблемы с драйвером amdgpu
« Ответ #11 : 29.04.2021 17:13:42 »
Но а как быть с wine  и proton?
Что с ними?
Уже был же ответ.

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #12 : 29.04.2021 17:47:26 »
Но а как быть с wine  и proton?
Что с ними?
Уже был же ответ.
Та же ошибка. Тот ответ не решает проблему - эти пакеты стоят в системе, но ошибка проявляется.
В частности вот это:
libGL error: MESA-LOADER: failed to open radeonsi: /overrides/lib/i386-linux-gnu/dri/radeonsi_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open radeonsi: /overrides/lib/i386-linux-gnu/dri/radeonsi_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open swrast: /overrides/lib/i386-linux-gnu/dri/swrast_dri.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (search paths /overrides/lib/x86_64-linux-gnu/dri:/overrides/lib/i386-linux-gnu/dri)
libGL error: failed to load driver: swrast
Я получаю при попытке запустить World of Tanks Blitz  на последнем стабильном протоне (хотя ровно как и на всех остальных - уже все доступные перепробовал), на котором она по данным ProtonDB должна взлетать без костылей, даже на предыдущих версиях протона и боле древней, чем сейчас в ALT  p9 MESA.
Кстати, вон у конкурентов все пашет..... ;-)
« Последнее редактирование: 29.04.2021 18:16:03 от Labaman »

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 889
  • валар дохаэрис
    • Канал на youtube
Re: Проблемы с драйвером amdgpu
« Ответ #13 : 29.04.2021 19:45:07 »
Можно посмотреть полный лог приложения начиная от запуска исходного файла и до конца?
По тем ошибкам что вы опубликовали понятно что не понятно какая программа ищет библиотеки по путям файловой структуры дебиан, а не ред хат.

Оффлайн Labaman

  • Давно тут
  • **
  • Сообщений: 165
  • Кто сказал что пингвины не летают?
    • Email
Re: Проблемы с драйвером amdgpu
« Ответ #14 : 30.04.2021 00:58:57 »
Можно посмотреть полный лог приложения начиная от запуска исходного файла и до конца?
По тем ошибкам что вы опубликовали понятно что не понятно какая программа ищет библиотеки по путям файловой структуры дебиан, а не ред хат.
Вот, пожалуйста